Mail::Message::Convert::TextAutoformat(3)

NAME
Mail::Message::Convert::TextAutoformat - Reformat plain text messages

INHERITANCE
 Mail::Message::Convert::TextAutoformat
   is a Mail::Message::Convert
   is a Mail::Reporter

SYNOPSIS
  use Mail::Message::Convert::TextAutoformat;
  my $af = Mail::Message::Convert::TextAutoformat->new;

  my $beautified_body = $af->autoformatBody($body);

DESCRIPTION
Play trics with plain text, for instance bodies with type "text/plain" using Damian Conway's Text::Autoformat.

Extends "DESCRIPTION" in Mail::Message::Convert.

METHODS
Extends "METHODS" in Mail::Message::Convert.

  Constructors
Extends "Constructors" in Mail::Message::Convert.

$class->new(%options)
    Inherited, see "Constructors" in Mail::Reporter

     -Option --Defined in            --Default
      fields   Mail::Message::Convert  <see description>
      options                          +{ all => 1 }

    fields => $name|$regex|\@names|\@regexes
    options => \%af
        The %af options to pass to Text::Autoformat function autoformat().

  Attributes
Extends "Attributes" in Mail::Message::Convert.

  Converting
Extends "Converting" in Mail::Message::Convert.

$obj->autoformatBody($body)
    Formats a single message body (a Mail::Message::Body object) into a new body object using Text::Autoformat.

    The body should have content type "text/plain", otherwise the output is probably weird.

$obj->selectedFields($head)
    Inherited, see "Converting" in Mail::Message::Convert

  Error handling
Extends "Error handling" in Mail::Message::Convert.

$obj->AUTOLOAD()
    Inherited, see "Error handling" in Mail::Reporter

$obj->notImplemented()
    Inherited, see "Error handling" in Mail::Reporter

  Cleanup
Extends "Cleanup" in Mail::Message::Convert.

$obj->DESTROY()
    Inherited, see "Cleanup" in Mail::Reporter

DIAGNOSTICS

Error: class $package does not implement method $method.
    Fatal error: the specific $package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package. Cast by notImplemented()

SEE ALSO
This module is part of Mail-Message version 4.01, built on December 13, 2025. Website: http://perl.overmeer.net/CPAN/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2001-2025 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.